/**
 * JS Document.
 * @author Sandro Jordão.
 */
function alterarBD()
{
	var codigo 			= $("#codigo").val();
	var banco 			= $("#banco").val();
	var descricao 		= $("#descricao").val();
	var identificador 	= $("#identificador").val();
	var conexao 		= $("#conexao").val();
	var situacao 		= $('input[name=rdoAtivo]:radio:checked').val();
	
	$('.msgErro').remove();

	var erro = 0;
	
	if(banco == '')
	{
		$('#banco').after("<span class='msgErro'>Nenhum banco de dados cadastrado.</span>");
		erro++;
	}

	if(descricao == '')
	{
		$('#descricao').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if(identificador == '')
	{
		$('#identificador').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if(conexao == '')
	{
		$('#conexao').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if (erro == 0)
	{
		$.post(basepath + "scripts/alterarConexaoBD", {
			codigo : codigo,
			banco : banco,
			descricao : descricao,
			identificador : identificador,
			conexao : conexao,
			situacao : situacao
		}, function(data){
			if(data == 1)
			{
				jAlert('Alterado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'scripts/listaconexoes'; });
			}
			else 
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta de Erro!');
			}
		});
	}
	else
	{
		jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
	}
}

function gravar()
{
	var banco 			= $("#banco").val();
	var descricao 		= $("#descricao").val();
	var identificador 	= $("#identificador").val();
	var conexao 		= $("#conexao").val();
	var situacao 		= $('input[name=rdoAtivo]:radio:checked').val();
	
	$('.msgErro').remove();

	var erro = 0;
	
	if(banco == '')
	{
		$('#banco').after("<span class='msgErro'>Nenhum banco de dados cadastrado.</span>");
		erro++;
	}

	if(descricao == '')
	{
		$('#descricao').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if(identificador == '')
	{
		$('#identificador').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if(conexao == '')
	{
		$('#conexao').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if (erro == 0)
	{
		$.post(basepath + "scripts/gravaConexao", {
			banco : banco,
			descricao : descricao,
			identificador : identificador,
			conexao : conexao,
			situacao : situacao
		}, function(data){
			if(data == 1)
			{
				jAlert('Gravado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'scripts/listaconexoes'; });
			}
			else 
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta de Erro!');
			}
		});
	}
	else
	{
		jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
	}
}

function incluir()
{
    window.location.href = basepath + 'scripts/cadconexao';
}

function alterar()
{
    var conexao = $('#gridConexoes').jqGrid('getGridParam','selrow');

    if(conexao) 
	{
        window.location.href = basepath + 'scripts/alterarconexao/' + conexao;
    } 
	else 
	{
        jAlert('Selecionar uma Conexão para alteração!', 'Alerta!', function() { return false; });
    }
}

function voltar()
{
	window.location.href = basepath + 'scripts/listaconexoes';
}

function modalBancoDados()
{
	$.post(basepath + 'scripts/cadbancodados', 
		function(data) {
		
			$("#janela_modal").remove();
			$("#overlay").remove();
			
			var overlay = '<div id="overlay"></div>';
			var overlayCSS = {'width' : pageWidth + 'px','height' : pageHeight + 'px'};
			
			var janela = '<div id="janela_modal"></div>';
			var janelaCSS = {'top' : '50%','left' : '50%','width' : '650px','height' : '400px','margin-left' : '-325px','margin-top' : '-300px', 'padding' : '15px 10px 10px 25px'};
			
			var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
			var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '300px','margin-top' : '-205px'}
			
			$("body").append(overlay);
			$("body").append(janela);
			$("#overlay").css(overlayCSS).fadeIn('fast', function(){
				
				$("#janela_modal").append(data);
				
				$("#janela_modal").append(btnFechar);
				$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
				
				$("#janela_modal").css(janelaCSS).fadeIn("slow");
			});
			
			return false;
			
		});
}

function fechar() 
{
    $("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

function init()
{
    pageWidth = $(window).width();
    pageHeight = $(window).height();

	var pathScripts = basepath + "scripts/listaconexoes";
	$('#menuContentLeft a').each(function() { if(pathScripts == $(this).attr("href")) { $(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'}); } });
}

$(document).ready(init);